LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
capability Struct Reference

`#include <main.h>`

## Data Fields
boolean | has_smogrify
boolean | smog_version_correct
boolean | can_read_from_config
boolean | can_write_to_config
boolean | can_write_to_tmp
boolean | can_write_to_tempdir
boolean | has_dvgrab
boolean | has_sox_play
boolean | has_sox_sox
boolean | has_autolives
boolean | has_mplayer
boolean | has_mplayer2
boolean | has_mpv
boolean | has_convert
boolean | has_composite
boolean | has_identify
boolean | has_cdda2wav
boolean | has_icedax
boolean | has_midistartstop
boolean | has_jackd
boolean | has_pulse_audio
boolean | has_xwininfo
boolean | has_gdb
boolean | has_gconftool_2
boolean | has_xdg_screensaver
char | home_dir [PATH_MAX]
| home directory - default location for config file - locale encoding More...
char | system_tmpdir [PATH_MAX]
| system tempdir (e.g /tmp for linux, C: for win32) More...
char | touch_cmd [PATH_MAX]
char | rm_cmd [PATH_MAX]
char | mv_cmd [PATH_MAX]
char | cp_cmd [PATH_MAX]
char | ln_cmd [PATH_MAX]
char | chmod_cmd [PATH_MAX]
char | cat_cmd [PATH_MAX]
char | echo_cmd [PATH_MAX]
char | rmdir_cmd [PATH_MAX]
char * | rcfile
char | startup_msg [256]
| used for returning startup messages from the backend More...
boolean | has_encoder_plugins
boolean | has_python
uint64_t | python_version
short | cpu_bits
char * | myname_full
char * | myname
boolean | has_stderr
int | nmonitors
int | ncpus
int | byte_order
pid_t | mainpid

## Field Documentation

int capability::byte_order

boolean capability::can_read_from_config

boolean capability::can_write_to_config

boolean capability::can_write_to_tempdir

boolean capability::can_write_to_tmp

char capability::cat_cmd[PATH_MAX]

char capability::chmod_cmd[PATH_MAX]

char capability::cp_cmd[PATH_MAX]

short capability::cpu_bits

char capability::echo_cmd[PATH_MAX]

boolean capability::has_autolives

boolean capability::has_cdda2wav

boolean capability::has_composite

boolean capability::has_convert

boolean capability::has_dvgrab

boolean capability::has_encoder_plugins

boolean capability::has_gconftool_2

boolean capability::has_gdb

boolean capability::has_icedax

boolean capability::has_identify

boolean capability::has_jackd

boolean capability::has_midistartstop

boolean capability::has_mplayer

boolean capability::has_mplayer2

boolean capability::has_mpv

boolean capability::has_pulse_audio

boolean capability::has_python

boolean capability::has_smogrify

boolean capability::has_sox_play

boolean capability::has_sox_sox

boolean capability::has_stderr

boolean capability::has_xdg_screensaver

boolean capability::has_xwininfo

char capability::home_dir[PATH_MAX]

home directory - default location for config file - locale encoding

char capability::ln_cmd[PATH_MAX]

pid_t capability::mainpid

char capability::mv_cmd[PATH_MAX]

char* capability::myname

char* capability::myname_full

int capability::ncpus

int capability::nmonitors

uint64_t capability::python_version

char* capability::rcfile

char capability::rm_cmd[PATH_MAX]

char capability::rmdir_cmd[PATH_MAX]

boolean capability::smog_version_correct

char capability::startup_msg[256]

used for returning startup messages from the backend

char capability::system_tmpdir[PATH_MAX]

system tempdir (e.g /tmp for linux, C: for win32)

kept in locale encoding

char capability::touch_cmd[PATH_MAX]

The documentation for this struct was generated from the following file:

- src/main.h